# SplFixedArray::offsetSet

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

SplFixedArray::offsetSet — Sets a new value at a specified index

### Beschreibung

public SplFixedArray::offsetSet(int `$index`, mixed `$value`): void

Sets the value at the specified `index` to `value`.

### Parameter-Liste

`index`

  The index being set.

`value`

  The new value for the `index`.

### Rückgabewerte

Es wird kein Wert zurückgegeben.

### Fehler/Exceptions

Throws RuntimeException when `index` is outside the defined size of the array or when `index` cannot be parsed as an integer.

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open